%define oname		zypp
%define name		lib%{oname}
%define major		901
%define libname		%mklibname %oname %major
%define develname	%mklibname %oname -d

Name:		%name
Version:	9.1.2
Release:	%mkrel 3
Summary:	Zypp package management library
License:	GPLv2+
Group:		System/Libraries
URL:		http://en.opensuse.org/Zypp
Source0:	%{name}-%{version}.tar.bz2
Patch1:		libzypp-9.1.2-buildfix.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	expat-devel
BuildRequires:	graphviz
BuildRequires:	libcurl-devel
BuildRequires:	libproxy-devel
BuildRequires:	libsatsolver-devel
BuildRequires:	libudev-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	rpm-devel
BuildRequires:	zsync

%description
ZYpp is a Linux software management engine with a powerful dependency 
resolver and a convenient package management API.


%package -n %{oname}-common
Group:		System/Libraries
Summary:	Configuration files and utilities for %{name}

%description -n %{oname}-common
Configuration files and utilities for %{name}.


%package -n %{libname}
Group:		System/Libraries
Summary:	Zypp package manager library
Requires:	%{oname}-common
Requires:	satsolver-tools

%description -n %{libname}
ZYpp is a Linux software management engine with a powerful dependency 
resolver and a convenient package management API.


%package -n %{develname}
Group:		Development/C
Summary:	Development files for %{name}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	libsatsolver-devel

%description -n %{develname}
Header files and development libraries for %{name}.


%package doc
Group:		Development/C
Summary:	Development documentation for %{name}
Requires:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch

%description doc
API documentation for %{name} generated using by doxygen.


%prep
%setup -q
%patch1 -p1 -b .buildfix

%build
%cmake -DFEDORA:BOOL=TRUE
%make doc

%install
rm -rf %buildroot
cd build
%makeinstall_std

%files -n %{oname}-common
%dir %{_sysconfdir}/%{oname}
%config(noreplace) %{_sysconfdir}/%{oname}/%{oname}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zypp-history.lr
%attr(0755,root,root) %{_prefix}/lib/%{oname}/notify-message
%{_mandir}/man5/locks.5.*
# not sure about the following
%{_sysconfdir}/%{oname}/systemCheck
%{_bindir}/package-manager
%{_bindir}/package-manager-su
%{_bindir}/zypp-CheckAccessDeleted
%{_datadir}/%{oname}

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{oname}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/cmake/Modules/FindZypp.cmake
%{_datadir}/cmake/Modules/ZyppCommon.cmake

%files doc
%doc build/doc/autodoc/html


%changelog

* Mon Feb 13 2012 dmorgan <dmorgan> 9.1.2-3.mga2
+ Revision: 208372
- Rebuild against rpm 4.9.1.2

* Fri Sep 02 2011 tv <tv> 9.1.2-2.mga2
+ Revision: 137803
- make the huge doc subpackage be noarch

* Fri Jun 17 2011 cjw <cjw> 9.1.2-1.mga2
+ Revision: 108554
- add BuildRequires: graphviz
- imported package libzypp

